Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezconsultation.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezconsultation.php 9529 2002-05-14 11:17:05Z jhe $
5 //
6 // Definition of eZConsultation class
7 //
8 // Created on: <19-Mar-2001 16:51:20 amos>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
51 // include_once( "classes/ezdb.php" );
52 // include_once( "classes/ezdatetime.php" );
53 // include_once( "ezcontact/classes/ezperson.php" );
54 // include_once( "ezcontact/classes/ezcompany.php" );
55 // include_once( "ezuser/classes/ezusergroup.php" );
56
57 // include_once( "classes/ezlog.php" );
58
59 class eZConsultation
60 {
67 function __construct( $id = -1 )
68 {
69 // $this->ID = 0;
70
71 if ( $id != -1 )
72 {
73 $this->ID = $id;
74 $this->get( $this->ID );
75 }
76 }
77
81 function store()
82 {
83 $db =& eZDB::globalDatabase();
84 $db->begin();
85 $date = $this->Date->timeStamp();
86 $shortdesc = $db->escapeString( $this->ShortDesc );
87 $description = $db->escapeString( $this->Description );
88 $emailnotice = $db->escapeString( $this->EmailNotice );
89 if ( !isset( $this->ID ) )
90 {
91 $db->lock( "eZContact_Consultation" );
92 $this->ID = $db->nextID( "eZContact_Consultation", "ID" );
93 $res[] = $db->query( "INSERT INTO eZContact_Consultation
94 (ID, ShortDesc, Description, StateID, EmailNotifications, Date)
95 VALUES
96 ('$this->ID',
97 '$shortdesc',
98 '$description',
99 '$this->State',
100 '$emailnotice',
101 '$date')" );
102
103 $db->unlock();
104 }
105 else
106 {
107 $res[] = $db->query( "UPDATE eZContact_Consultation SET
108 ShortDesc='$shortdesc',
109 Description='$description',
110 StateID='$this->State',
111 EmailNotifications='$this->EmailNotice',
112 Date='$date'
113 WHERE ID='$this->ID'" );
114 }
115 eZDB::finish( $res, $db );
116 return true;
117 }
118
122 function delete( $id = false )
123 {
124 if ( !$id )
125 $id = $this->ID;
126 if ( isset( $id ) && is_numeric( $id ) )
127 {
128 $db =& eZDB::globalDatabase();
129 $db->begin();
130 $res[] = $db->query( "DELETE FROM eZContact_Consultation WHERE ID='$id'" );
131 $db->array_query( $qry_array, "SELECT ConsultationID FROM eZContact_ConsultationPersonUserDict WHERE ConsultationID='$id'" );
132 if ( count( $qry_array ) > 0 )
133 {
134 $res[] = $db->query( "DELETE FROM eZContact_ConsultationPersonUserDict WHERE ConsultationID='$id'" );
135 }
136 $db->array_query( $qry_array, "SELECT ConsultationID FROM eZContact_ConsultationCompanyUserDict WHERE ConsultationID='$id'" );
137 if ( count( $qry_array ) > 0 )
138 {
139 $res[] = $db->query( "DELETE FROM eZContact_ConsultationCompanyUserDict WHERE ConsultationID='$id'" );
140 }
141 eZDB::finish( $res, $db );
142 }
143 return true;
144 }
145
149 function get( $id = -1 )
150 {
151 $ret = false;
152 $consult_array = array();
153
154 if ( $id != -1 )
155 {
156 $db =& eZDB::globalDatabase();
157 $db->query_single( $consult_array, "SELECT * FROM eZContact_Consultation WHERE ID='$id'" );
158
159 if( is_array( $consult_array ) && count( $consult_array ) > 0 )
160 {
161 $this->ID = $consult_array[$db->fieldName( "ID" )];
162 $this->ShortDesc = $consult_array[$db->fieldName( "ShortDesc" )];
163 $this->Description = $consult_array[$db->fieldName( "Description" )];
164 $this->State = $consult_array[$db->fieldName( "StateID" )];
165 $this->EmailNotice = $consult_array[$db->fieldName( "EmailNotifications" )];
166 $this->Date = new eZDate();
167 $this->Date->setTimeStamp( $consult_array[$db->fieldName( "Date" )] );
168 $ret = true;
169 }
170
171 }
172 return $ret;
173 }
174
178 function setShortDescription( $desc )
179 {
180 $this->ShortDesc = $desc;
181 }
182
186 function setDescription( $desc )
187 {
188 $this->Description = $desc;
189 }
190
194 function setState( $state )
195 {
196 $this->State = $state;
197 }
198
203 function addGroup( $group )
204 {
205 if ( is_a( $group, "eZUserGroup" ) )
206 $groupid = $group->id();
207 else
208 $groupid = $group;
209 $db =& eZDB::globalDatabase();
210 $db->begin();
211 $res = $db->query( "INSERT INTO eZContact_ConsultationGroupsDict
212 (ConsultationID, GroupID)
213 VALUES
214 ('$this->ID', '$groupid')" );
215 eZDB::finish( $res, $db );
216 }
217
221 function removeGroup( $group )
222 {
223 }
224
228 function removeGroups()
229 {
230 $db =& eZDB::globalDatabase();
231 $db->begin();
232 $res[] = $db->query( "DELETE FROM eZContact_ConsultationGroupsDict
233 WHERE ConsultationID='$this->ID'" );
234 eZDB::finish( $res, $db );
235 }
236
240 function addEmail( $email )
241 {
242 }
243
247 function setEmail( $emails )
248 {
249 $this->EmailNotice = $emails;
250 }
251
255 function removeEmail( $email )
256 {
257 }
258
262 function setDate( $date )
263 {
264 $this->Date = $date;
265 }
266
270 function id()
271 {
272 return $this->ID;
273 }
274
278 function shortDescription()
279 {
280 return $this->ShortDesc;
281 }
282
286 function description()
287 {
288 return $this->Description;
289 }
290
295 function state()
296 {
297 return $this->State;
298 }
299
304 function groupList()
305 {
306 $db =& eZDB::globalDatabase();
307 $db->array_query( $qry_array, "SELECT GroupID FROM eZContact_ConsultationGroupsDict
308 WHERE ConsultationID='$this->ID'" );
309 $ret_array = array();
310 foreach ( $qry_array as $qry )
311 {
312 $ret_array[] = new eZUserGroup( $qry[$db->fieldName( "GroupID" )] );
313 }
314 return $ret_array;
315 }
316
321 function groupIDList()
322 {
323 $db =& eZDB::globalDatabase();
324 $db->array_query( $qry_array, "SELECT GroupID FROM eZContact_ConsultationGroupsDict
325 WHERE ConsultationID='$this->ID'" );
326 $ret_array = array();
327 foreach ( $qry_array as $qry )
328 {
329 $ret_array[] = $qry[$db->fieldName( "GroupID" )];
330 }
331 return $ret_array;
332 }
333
337 function emailList()
338 {
339 $emails = preg_split( "/[,;]/", $this->EmailNotice );
340 return $emails;
341 }
342
347 function emails()
348 {
349 return $this->EmailNotice;
350 }
351
356 function notificators()
357 {
358 }
359
363 function date()
364 {
365 return $this->Date;
366 }
367
372 static public function findConsultationsByState( $state )
373 {
374 }
375
380 function belongsTo( $consultationid, $user )
381 {
382 if ( is_a( $user, "eZUser" ) )
383 $user = $user->id();
384 $db =& eZDB::globalDatabase();
385 // Check company
386 $db->array_query( $qry_array, "SELECT C.ID FROM eZContact_Consultation AS C,
387 eZContact_ConsultationCompanyUserDict AS CCUD
388 WHERE CCUD.UserID='$user' AND C.ID=CCUD.ConsultationID
389 AND C.ID='$consultationid'", 0, 1 );
390 if ( count( $qry_array ) == 1 )
391 return true;
392 // Check person
393 $db->array_query( $qry_array, "SELECT C.ID FROM eZContact_Consultation AS C,
394 eZContact_ConsultationPersonUserDict AS CPUD
395 WHERE CPUD.UserID='$user' AND C.ID=CPUD.ConsultationID
396 AND C.ID='$consultationid'", 0, 1 );
397 if ( count( $qry_array ) == 1 )
398 return true;
399 return false;
400 }
401
406 static public function findConsultedCompanies( $user )
407 {
408 if ( is_a( $user, "eZUser" ) )
409 $user = $user->id();
410 if ( $user == -1 )
411 $userString = "";
412 else
413 $userString = "WHERE UserID='$user'";
414
415 $db =& eZDB::globalDatabase();
416 $db->array_query( $qry_array, "SELECT CompanyID FROM eZContact_ConsultationCompanyUserDict
417 $userString
418 GROUP BY CompanyID" );
419 $ret_array = array();
420 foreach ( $qry_array as $qry )
421 {
422 $ret_array[] = new eZCompany( $qry[$db->fieldName( "CompanyID" )] );
423 }
424 return $ret_array;
425 }
426
431 static public function findConsultedPersons( $user )
432 {
433 if ( is_a( $user, "eZUser" ) )
434 $user = $user->id();
435 if ( $user == -1 )
436 $userString = "WHERE UserID='$user'";
437 else
438 $userString = "";
439
440 $qry_array = array();
441 $db =& eZDB::globalDatabase();
442 $db->array_query( $qry_array, "SELECT PersonID FROM eZContact_ConsultationPersonUserDict
443 $userString
444 GROUP BY PersonID" );
445 $ret_array = array();
446 foreach ( $qry_array as $qry )
447 {
448 $ret_array[] = new eZPerson( $qry[$db->fieldName( "PersonID" )] );
449 }
450 return $ret_array;
451 }
452
457 function findConsultationsByDate( $user, $startTime, $endTime )
458 {
459 if ( is_a( $user, "eZUser" ) )
460 $user = $user->id();
461
462 if ( $user == -1 )
463 {
464 $userString = "";
465 $userString2 = "";
466 }
467 else
468 {
469 $userString = "CPUD.UserID='$user' AND ";
470 $userString2 = "CPCD.UserID='$user' AND ";
471 }
472
473 $qry_array = array();
474 $db =& eZDB::globalDatabase();
475 $db->array_query( $qry_array, "SELECT CPUD.ConsultationID
476 FROM
477 eZContact_ConsultationPersonUserDict AS CPUD,
478 eZContact_Consultation AS C
479 WHERE
480 $userString
481 CPUD.ConsultationID = C.ID AND
482 C.Date>='" . $startTime->timeStamp() . "' AND
483 C.Date<'" . $endTime->timeStamp() . "'" );
484 $ret_array = array();
485 foreach ( $qry_array as $qry )
486 {
487 $ret_array[] = new eZConsultation( $qry[$db->fieldName( "ConsultationID" )] );
488 }
489 $db->array_query( $qry_array, "SELECT CPCD.ConsultationID
490 FROM
491 eZContact_ConsultationCompanyUserDict AS CPCD,
492 eZContact_Consultation AS C
493 WHERE
494 $userString2
495 CPCD.ConsultationID = C.ID AND
496 C.Date>='" . $startTime->timeStamp() . "' AND
497 C.Date<'" . $endTime->timeStamp() . "'" );
498 foreach ( $qry_array as $qry )
499 {
500 $ret_array[] = new eZConsultation( $qry[$db->fieldName( "ConsultationID" )] );
501 }
502 return $ret_array;
503 }
504
509 static public function findConsultationsByContact( $contact, $user, $OrderBy = "ID", $is_person = true, $index = 0, $max = -1, $relations = false )
510 {
511 if ( is_a( $user, "eZUser" ) )
512 $user = $user->id();
513 if ( $max > 0 )
514 {
515 $limit = array( "Offset" => $index, "Limit" => $max );
516 }
517 else
518 {
519 $limit = array();
520 }
521
522 if ( $user == -1 )
523 {
524 $userString = "";
525 $userString2 = "";
526 }
527 else
528 {
529 $userString = "CPUD.UserID='$user' AND ";
530 $userString2 = "CPCD.UserID='$user' AND ";
531 }
532
533 switch ( strtolower( $OrderBy ) )
534 {
535 case "description":
536 case "desc":
537 $OrderBy = "ORDER BY C.ShortDesc";
538 break;
539 case "date":
540 $OrderBy = "ORDER BY C.Date DESC";
541 break;
542 case "status":
543 $OrderBy = "ORDER BY CT.Name";
544 break;
545 case "id":
546 case "typeid":
547 $OrderBy = "ORDER BY C.ID";
548 break;
549 default:
550 $OrderBy = "ORDER BY C.Date DESC";
551 break;
552 }
553
554 $relationString = "";
555 $qry_array = array();
556 $db =& eZDB::globalDatabase();
557 if ( $is_person )
558 {
559 $db->array_query( $qry_array, "SELECT CPUD.ConsultationID
560 FROM
561 eZContact_ConsultationPersonUserDict AS CPUD,
562 eZContact_Consultation AS C,
563 eZContact_ConsultationType AS CT
564 WHERE
565 CPUD.PersonID='$contact' AND
566 (C.StateID = CT.ID OR C.StateID = 0) AND
567 $userString
568 CPUD.ConsultationID = C.ID
569 $OrderBy", $limit );
570 if ( $relations )
571 {
572 $companyArray = eZCompany::persons( $contact, false );
573 foreach ( $companyArray as $companyID )
574 {
575 $relationString .= "CPCD.CompanyID='$companyID' AND ";
576 }
577 $db->array_query( $qry_array2, "SELECT CPCD.ConsultationID
578 FROM
579 eZContact_ConsultationCompanyUserDict AS CPCD,
580 eZContact_Consultation AS C,
581 eZContact_ConsultationType AS CT
582 WHERE
583 $relationString
584 (C.StateID = CT.ID OR C.StateID = 0) AND
585 $userString2
586 CPCD.ConsultationID = C.ID
587 $OrderBy", $limit );
588 $qry_array = array_merge( $qry_array, $qry_array2 );
589 }
590 }
591 else
592 {
593 $db->array_query( $qry_array, "SELECT CPCD.ConsultationID
594 FROM
595 eZContact_ConsultationCompanyUserDict AS CPCD,
596 eZContact_Consultation AS C,
597 eZContact_ConsultationType AS CT
598 WHERE
599 CPCD.CompanyID='$contact' AND
600 (C.StateID = CT.ID OR C.StateID = 0) AND
601 $userString2
602 CPCD.ConsultationID = C.ID
603 $OrderBy", $limit );
604 if ( $relations )
605 {
606 $personArray = eZCompany::persons( $contact, false );
607 foreach ( $personArray as $personID )
608 {
609 $relationString .= "CPUD.PersonID='$personID' AND ";
610 }
611 $db->array_query( $qry_array2, "SELECT CPUD.ConsultationID
612 FROM
613 eZContact_ConsultationPersonUserDict AS CPUD,
614 eZContact_Consultation AS C,
615 eZContact_ConsultationType AS CT
616 WHERE
617 $relationString
618 (C.StateID = CT.ID OR C.StateID = 0) AND
619 $userString
620 CPUD.ConsultationID = C.ID
621 $OrderBy", $limit );
622 $qry_array = array_merge( $qry_array, $qry_array2 );
623 }
624 }
625 $ret_array = array();
626 foreach ( $qry_array as $qry )
627 {
628 $ret_array[] = new eZConsultation( $qry[$db->fieldName( "ConsultationID" )] );
629 }
630 return $ret_array;
631 }
632
637 static public function findLatestConsultations( $user, $max )
638 {
639 if ( is_a( $user, "eZUser" ) )
640 {
641 $user = $user->id();
642 $userString = "CPUD.UserID='$user' AND ";
643 $userString2 = "CPCD.UserID='$user' AND ";
644 }
645 else if ( $user == -1 )
646 {
647 $userString = "";
648 $userString2 = "";
649 }
650 else
651 {
652 $userString = "CPUD.UserID='$user' AND ";
653 $userString2 = "CPCD.UserID='$user' AND ";
654 }
655 $qry_array = array();
656 $db =& eZDB::globalDatabase();
657 $db->array_query( $qry_array, "SELECT C.Date, C.ID
658 FROM
659 eZContact_ConsultationPersonUserDict AS CPUD,
660 eZContact_Consultation AS C
661 WHERE
662 $userString
663 CPUD.ConsultationID = C.ID
664 ORDER BY C.Date DESC, C.ID DESC",
665 array( "Limit" => $max ) );
666 $db->array_query_append( $qry_array, "SELECT C.Date, C.ID
667 FROM
668 eZContact_ConsultationCompanyUserDict AS CPCD,
669 eZContact_Consultation AS C
670 WHERE
671 $userString2
672 CPCD.ConsultationID = C.ID
673 ORDER BY C.Date DESC, C.ID DESC",
674 array( "Limit" => $max ) );
675 arsort( $qry_array );
676 $ret_array = array();
677 $qry_array = array_slice( $qry_array, 0, $max );
678 foreach ( $qry_array as $qry )
679 {
680 $ret_array[] = new eZConsultation( $qry[$db->fieldName( "ID" )] );
681 }
682 return $ret_array;
683 }
684
687 static public function companyConsultationCount( $company, $user )
688 {
689 if ( is_a( $user, "eZUser" ) )
690 $user = $user->id();
691 if ( $user == -1 )
692 $userString = "";
693 else
694 $userString = "AND UserID='$user'";
695 $db =& eZDB::globalDatabase();
696 $db->query_single( $qry, "SELECT count( ConsultationID ) as Count FROM eZContact_ConsultationCompanyUserDict
697 WHERE CompanyID='$company' $userString" );
698 return $qry[$db->fieldName( "Count" )];
699 }
700
703 function personConsultationCount( $person, $user )
704 {
705 if ( is_a( $user, "eZUser" ) )
706 $user = $user->id();
707 if ( $user == -1 )
708 $userString = "";
709 else
710 $userString = "AND UserID='$user'";
711 $db =& eZDB::globalDatabase();
712 $db->query_single( $qry, "SELECT count( ConsultationID ) as Count FROM eZContact_ConsultationPersonUserDict
713 WHERE PersonID='$person' $userString" );
714 return $qry[$db->fieldName( "Count" )];
715 }
716
719 function company( $user = false )
720 {
721 if ( !$user )
722 {
723 $userString = "";
724 }
725 else if ( is_a( $user, "eZUser" ) )
726 {
727 $user = $user->id();
728 $userString = " AND UserID='$user'";
729 }
730 else
731 {
732 $userString = "";
733 }
734
735 $db =& eZDB::globalDatabase();
736 $db->array_query( $qry_array, "SELECT CompanyID FROM eZContact_ConsultationCompanyUserDict
737 WHERE ConsultationID='$this->ID' $userString" );
738 if ( count( $qry_array ) == 1 )
739 {
740 return $qry_array[0][$db->fieldName( "CompanyID" )];
741 }
742 else
743 {
744 return false;
745 }
746 }
747
750 function person( $user = false )
751 {
752 if ( !$user )
753 {
754 $userString = "";
755 }
756 else if ( is_a( $user, "eZUser" ) )
757 {
758 $user = $user->id();
759 $userString = " AND UserID='$user'";
760 }
761 else
762 {
763 $userString = "";
764 }
765
766 $db =& eZDB::globalDatabase();
767 $db->array_query( $qry_array, "SELECT PersonID FROM eZContact_ConsultationPersonUserDict
768 WHERE ConsultationID='$this->ID' $userString" );
769 if ( count( $qry_array ) == 1 )
770 {
771 return $qry_array[0][$db->fieldName( "PersonID" )];
772 }
773 else
774 {
775 return false;
776 }
777 }
778
781 function addConsultationToPerson( $person, $user )
782 {
783 if ( is_a( $user, "eZUser" ) )
784 $user = $user->id();
785 $db =& eZDB::globalDatabase();
786 $db->begin();
787 $db->lock( "eZContact_ConsultationPersonUserDict" );
788 $db->query( "INSERT INTO eZContact_ConsultationPersonUserDict
789 (ConsultationID, PersonID, UserID)
790 VALUES
791 ('$this->ID', '$person', '$user')" );
792 $db->unlock();
793 eZDB::finish( $res, $db );
794 }
795
798 function addConsultationToCompany( $company, $user )
799 {
800 if ( is_a( $user, "eZUser" ) )
801 $user = $user->id();
802 $db =& eZDB::globalDatabase();
803 $db->begin();
804 $res[] = $db->query( "INSERT INTO eZContact_ConsultationCompanyUserDict
805 (ConsultationID, CompanyID, UserID)
806 VALUES
807 ('$this->ID', '$company', '$user')" );
808 eZDB::finish( $res, $db );
809 }
810
813 function removeConsultationFromPerson( $person, $user )
814 {
815 if ( is_a( $user, "eZUser" ) )
816 $user = $user->id();
817 $db =& eZDB::globalDatabase();
818 $res[] = $db->query( "DELETE FROM eZContact_ConsultationPersonUserDict
819 WHERE ConsultationID='$this->ID' AND PersonID='$person' AND UserID='$user'" );
820 eZDB::finish( $res, $db );
821 }
822
825 function removeConsultationFromCompany( $company, $user )
826 {
827 if ( is_a( $user, "eZUser" ) )
828 $user = $user->id();
829 $db =& eZDB::globalDatabase();
830 $res[] = $db->query( "DELETE FROM eZContact_ConsultationCompanyUserDict
831 WHERE ConsultationID='$this->ID' AND CompanyID='$company' AND UserID='$user'" );
832 eZDB::finish( $res, $db );
833 }
834
838 function owner( $id = -1, $is_person = true )
839 {
840 if ( $id == -1 )
841 $id = $this->ID;
842 if ( $is_person )
843 $table = "eZContact_ConsultationPersonUserDict";
844 else
845 $table = "eZContact_ConsultationCompanyUserDict";
846
847 $db =& eZDB::globalDatabase();
848 $db->array_query( $res, "SELECT UserID FROM $table WHERE ConsultationID='$id'" );
849 return $res[0][$db->fieldName( "UserID" )];
850 }
851
856 static public function stateName( $state )
857 {
858 $db =& eZDB::globalDatabase();
859 $db->query_single( $state_row, "SELECT Name FROM eZContact_ConsultationType WHERE ID='$state'" );
860 return $state_row[$db->fieldName( "Name" )];
861 }
862
863 var $ID;
864 var $ShortDesc;
865 var $Description;
866 var $State;
867 var $Date;
868 var $EmailNotice;
869 }
870
871 ?>
$group
$group
Definition: admin/articleedit.php:799
$date
$date
Definition: bugpreview.php:66
eZCompany
Definition: ezcompany.php:54
eZCompany\persons
static persons( $id=false, $as_object=true, $limit=-1, $offset=0)
Definition: ezcompany.php:1112
eZConsultation
Definition: ezconsultation.php:60
eZConsultation\addGroup
addGroup( $group)
Definition: ezconsultation.php:203
eZConsultation\addConsultationToPerson
addConsultationToPerson( $person, $user)
Definition: ezconsultation.php:781
eZConsultation\removeConsultationFromPerson
removeConsultationFromPerson( $person, $user)
Definition: ezconsultation.php:813
eZConsultation\removeConsultationFromCompany
removeConsultationFromCompany( $company, $user)
Definition: ezconsultation.php:825
eZConsultation\$ShortDesc
$ShortDesc
Definition: ezconsultation.php:864
eZConsultation\personConsultationCount
personConsultationCount( $person, $user)
Definition: ezconsultation.php:703
eZConsultation\findConsultedCompanies
static findConsultedCompanies( $user)
Definition: ezconsultation.php:406
eZConsultation\emails
emails()
Definition: ezconsultation.php:347
eZConsultation\$Date
$Date
Definition: ezconsultation.php:867
eZConsultation\id
id()
Definition: ezconsultation.php:270
eZConsultation\findLatestConsultations
static findLatestConsultations( $user, $max)
Definition: ezconsultation.php:637
eZConsultation\removeGroup
removeGroup( $group)
Definition: ezconsultation.php:221
eZConsultation\stateName
static stateName( $state)
Definition: ezconsultation.php:856
eZConsultation\findConsultedPersons
static findConsultedPersons( $user)
Definition: ezconsultation.php:431
eZConsultation\setDate
setDate( $date)
Definition: ezconsultation.php:262
eZConsultation\date
date()
Definition: ezconsultation.php:363
eZConsultation\removeEmail
removeEmail( $email)
Definition: ezconsultation.php:255
eZConsultation\person
person( $user=false)
Definition: ezconsultation.php:750
eZConsultation\removeGroups
removeGroups()
Definition: ezconsultation.php:228
eZConsultation\emailList
emailList()
Definition: ezconsultation.php:337
eZConsultation\notificators
notificators()
Definition: ezconsultation.php:356
eZConsultation\store
store()
Definition: ezconsultation.php:81
eZConsultation\groupList
groupList()
Definition: ezconsultation.php:304
eZConsultation\setDescription
setDescription( $desc)
Definition: ezconsultation.php:186
eZConsultation\findConsultationsByDate
findConsultationsByDate( $user, $startTime, $endTime)
Definition: ezconsultation.php:457
eZConsultation\$ID
$ID
Definition: ezconsultation.php:863
eZConsultation\findConsultationsByState
static findConsultationsByState( $state)
Definition: ezconsultation.php:372
eZConsultation\company
company( $user=false)
Definition: ezconsultation.php:719
eZConsultation\groupIDList
groupIDList()
Definition: ezconsultation.php:321
eZConsultation\description
description()
Definition: ezconsultation.php:286
eZConsultation\__construct
__construct( $id=-1)
Definition: ezconsultation.php:67
eZConsultation\setShortDescription
setShortDescription( $desc)
Definition: ezconsultation.php:178
eZConsultation\addEmail
addEmail( $email)
Definition: ezconsultation.php:240
eZConsultation\companyConsultationCount
static companyConsultationCount( $company, $user)
Definition: ezconsultation.php:687
eZConsultation\belongsTo
belongsTo( $consultationid, $user)
Definition: ezconsultation.php:380
eZConsultation\addConsultationToCompany
addConsultationToCompany( $company, $user)
Definition: ezconsultation.php:798
eZConsultation\$Description
$Description
Definition: ezconsultation.php:865
eZConsultation\owner
owner( $id=-1, $is_person=true)
Definition: ezconsultation.php:838
eZConsultation\shortDescription
shortDescription()
Definition: ezconsultation.php:278
eZConsultation\setEmail
setEmail( $emails)
Definition: ezconsultation.php:247
eZConsultation\setState
setState( $state)
Definition: ezconsultation.php:194
eZConsultation\$State
$State
Definition: ezconsultation.php:866
eZConsultation\$EmailNotice
$EmailNotice
Definition: ezconsultation.php:868
eZConsultation\findConsultationsByContact
static findConsultationsByContact( $contact, $user, $OrderBy="ID", $is_person=true, $index=0, $max=-1, $relations=false)
Definition: ezconsultation.php:509
eZConsultation\state
state()
Definition: ezconsultation.php:295
eZDB\finish
static finish(&$resultArray, &$db)
Definition: ezdb.php:204
eZDB\globalDatabase
static & globalDatabase()
Definition: ezdb.php:134
eZDate
Definition: ezdate.php:46
eZPerson
Definition: ezperson.php:43
eZUserGroup
Definition: ezusergroup.php:66
$companyArray
$companyArray
Definition: companysearch.php:95
$company
if(!is_numeric( $Year)) if(!is_numeric( $Month)) if(!is_numeric( $Day)) $company
Definition: companystats.php:72
$desc
$desc
Definition: companytypelist.php:195
$id
$id
Definition: companytypelist.php:193
$emails
$emails
Definition: companyview.php:525
$db
$db
Definition: ezarticle/user/authorlist.php:53
$startTime
$startTime
Definition: ezcalendar/user/dayview.php:139
$index
$index
Definition: ezforum/user/messageedit.php:36
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$res
$res
Definition: ezstats/admin/cron.php:45
$person
switch( $LimitType) $person
Definition: personlist.php:137
$personArray
$personArray
Definition: personsearch.php:90
$OrderBy
$OrderBy
Definition: reciverpopup.php:21
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.